VERSION 5.00
Begin VB.UserControl oBar 
   Alignable       =   -1  'True
   BackColor       =   &H80000001&
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   5100
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2175
   ScaleHeight     =   340
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   145
   Begin VB.PictureBox scrollbox 
      BackColor       =   &H00C0C0FF&
      BorderStyle     =   0  'None
      Height          =   4575
      Left            =   0
      ScaleHeight     =   305
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   145
      TabIndex        =   1
      Top             =   -480
      Width           =   2175
      Begin VB.PictureBox folderbox 
         BackColor       =   &H00E0E0E0&
         BorderStyle     =   0  'None
         Height          =   4335
         Left            =   -120
         ScaleHeight     =   289
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   134
         TabIndex        =   2
         Top             =   480
         Width           =   2010
         Begin VB.Label lblIcon 
            AutoSize        =   -1  'True
            BackStyle       =   0  'Transparent
            Caption         =   "Attached Tables"
            BeginProperty Font 
               Name            =   "Arial"
               Size            =   10.5
               Charset         =   0
               Weight          =   400
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            ForeColor       =   &H00FFFFFF&
            Height          =   225
            Index           =   1
            Left            =   480
            TabIndex        =   3
            Top             =   390
            Width           =   1395
         End
         Begin VB.Image imgIcon 
            Height          =   480
            Index           =   1
            Left            =   0
            Picture         =   "outlook.ctx":0000
            Top             =   240
            Width           =   480
         End
      End
      Begin VB.VScrollBar VScroll1 
         Height          =   3855
         LargeChange     =   10
         Left            =   1920
         TabIndex        =   4
         Top             =   480
         Width           =   195
      End
   End
   Begin VB.Label lblPage 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Text"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   210
      Index           =   1
      Left            =   915
      TabIndex        =   0
      ToolTipText     =   "Text Text"
      Top             =   4245
      Width           =   345
   End
   Begin VB.Image imgPage 
      Height          =   300
      Index           =   1
      Left            =   0
      Picture         =   "outlook.ctx":014A
      Stretch         =   -1  'True
      ToolTipText     =   "Text"
      Top             =   4200
      Width           =   2115
   End
End
Attribute VB_Name = "oBar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Option Compare Text
Private selfolder As Integer
Private selItem As Integer
Private sliderdowny As Single
Private m_oldpage As Integer
Private m_olditem As Integer
Private m_bgcolor As Long
Private m_pages As Pages
Private m_items As Items
Private m_imagelist As String
Private m_Pcounter As Integer
Private m_Itemcounter As Integer
Private m_ForeColor As Long
Private sizing As Boolean
Private twipsX As Integer
Public Event PageClick(newpage As Integer, oldpage As Integer)
Public Event ItemClick(CurrentPage As Integer, selecteditem As Integer, olditem As Integer)
Private m_labelfont As StdFont
Enum Label_Orientation
    BesideIcon = 0
    BelowIcon = 1
End Enum
Public LabelOrientation As Label_Orientation
Public Property Let ForeColor(fc As ColorConstants)
    m_ForeColor = fc
    lblIcon(1).ForeColor = fc
End Property
Public Property Get ForeColor() As ColorConstants
ForeColor = m_ForeColor
End Property
Public Property Set LabelFont(newfont As StdFont)
m_labelfont = newfont
With m_labelfont
     .Bold = newfont.Bold
    .Italic = newfont.Italic
    .Underline = newfont.Underline
    .Strikethrough = newfont.Strikethrough
   .Size = newfont.Size
   .Name = newfont.Name
End With

lblIcon(0).Font = m_labelfont
With lblIcon(0).Font
     .Bold = newfont.Bold
    .Italic = newfont.Italic
    .Underline = newfont.Underline
    .Strikethrough = newfont.Strikethrough
   .Size = newfont.Size
   .Name = newfont.Name
End With

End Property
Public Property Get LabelFont() As StdFont
Set LabelFont = m_labelfont
lblIcon(1).Font = m_labelfont
End Property
Private Function fHeight() As Integer
UserControl.Font = LabelFont
fHeight = UserControl.TextHeight("A")
End Function

Public Property Let CurrentPage(cp As Integer)
If cp = selfolder Then
    redrawfolders
    loaditems
Else
    imgPage_Click cp
End If
End Property
Public Property Let CurrentItem(newitem As Integer)
imgIcon_click newitem
End Property
Public Property Get CurrentPage() As Integer
CurrentPage = selfolder
End Property
Public Property Get CurrentItem() As Integer
CurrentItem = selItem
End Property

Public Property Let ImageSource(il As String)
m_imagelist = il
End Property
Public Property Get ImageSource() As String
ImageSource = m_imagelist
End Property

Public Property Get Pagecount() As Integer
Pagecount = m_pages.Count
End Property
Public Property Get ItemCount() As Integer
ItemCount = m_items.Count
End Property
Public Sub RemoveItem(selItem%, ipage%)
Dim counter%, i%
For i% = 1 To m_items.Count
    If m_items(i).page = ipage% Then
        counter = counter + 1
        If counter = selItem% Then
            m_items.Remove i
            Exit For
        End If
    End If
Next
loaditems
End Sub
Public Sub RemovePage(pn%)
    Dim i As Integer
    'remove page from pages collection
    m_pages.Remove ("Page" & Str(pn%))
    'remove list items for this page from items collection
    For i = m_items.Count To 1 Step -1
      If m_items(i).page = pn% Then m_items.Remove i
    Next
    'unload page controls if loaded at runtime
    If pn > 1 Then
        Unload imgPage(pn%)
        Unload lblPage(pn%)
        lblPage_Click 1
    Else    'otherwise hide designtime controls
        imgPage(pn).Visible = False
        lblPage(pn).Visible = False
        
    End If
    'redraw control
    redrawfolders
End Sub

Public Property Get backgroundcolor() As ColorConstants
backgroundcolor = m_bgcolor
End Property
Public Property Let backgroundcolor(newcol As ColorConstants)
m_bgcolor = newcol
folderbox.BackColor = newcol
scrollbox.BackColor = newcol
BackColor = newcol
End Property
Public Function AddItem(itemname$, pagenum%, itemtooltip$, itemicon%, Optional Updatenow As Boolean) As Integer
'add new item to the items collection
m_items.Add itemname$, pagenum, itemicon%, itemtooltip$, Str(m_Itemcounter)
AddItem = m_Itemcounter
'update display only if specified in Updatenow parameter
If Not IsMissing(Updatenow) Then If Updatenow = True Then loaditems
End Function
Public Function AddPage(pagename$, pagetip$) As Integer
'add new page to the pages collection
m_Pcounter = m_Pcounter + 1
selfolder = m_Pcounter
m_pages.Add pagename$, pagetip$, "Page" & Str$(m_Pcounter)
'load controls for this page
Load imgPage(m_Pcounter)
Load lblPage(m_Pcounter)
'position page's controls
With imgPage(m_Pcounter)
    .Move 0, imgPage(selfolder).Top - (.Height + 2)
    .Visible = True
End With
With lblPage(m_Pcounter)
    .Caption = pagename$
    .Move lblPage(selfolder).Left, imgPage(m_Pcounter).Top + 3
    .Visible = True
    .ZOrder 0
End With
selfolder = m_Pcounter
redrawfolders
AddPage = m_Pcounter

End Function

Private Sub imgPage_Click(Index As Integer)

Static ofolder%
selfolder = Index
'redraw control if new page selected
If (m_pages.Count > 1) And (ofolder <> selfolder) Then
    redrawfolders
    loaditems
End If
'raise click event even if same page selected
RaiseEvent PageClick(selfolder, ofolder)
ofolder = selfolder
End Sub



Private Sub lblPage_Click(Index As Integer)
imgPage_Click Index
End Sub


Private Sub lblIcon_Click(Index As Integer)
imgIcon_click Index
End Sub
Private Sub imgIcon_click(Index As Integer)
Static olditem%
'item click event
RaiseEvent ItemClick(selfolder, Index, olditem)
On Error Resume Next
lblIcon(olditem).BackStyle = 0
lblIcon(Index).BackStyle = 1
selItem = Index
olditem% = Index

End Sub

Private Sub scrollbox_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
UserControl_MouseDown Button, Shift, X, Y
End Sub

Private Sub scrollbox_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
UserControl_MouseMove Button, Shift, X, Y
End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
sizing = (X > (Width / twipsX) - 15)
If sizing Then
    Screen.MousePointer = vbSizeWE
Else
    Screen.MousePointer = vbDefault
End If

End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
On Error Resume Next
If sizing Then
    If Button = 1 Then
        Width = X * twipsX
    Else
        sizing = False
        Screen.MousePointer = vbDefault
    End If
End If
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
With PropBag
    m_imagelist = .ReadProperty("Imagelist", "")
    LabelOrientation = .ReadProperty("LabelOrientation", 0)
    LabelFont.Name = .ReadProperty("LabelfontName", "Arial")
    LabelFont.Bold = .ReadProperty("LabelfontBold", False)
    LabelFont.Italic = .ReadProperty("LabelfontItalic", False)
    LabelFont.Underline = .ReadProperty("LabelfontUnderline", False)
    LabelFont.Strikethrough = .ReadProperty("LabelfontStrikethrough", False)
    LabelFont.Size = .ReadProperty("LabelfontSize", 8)
    m_ForeColor = .ReadProperty("Forecolor", vbBlack)
End With
lblIcon(1).Font = LabelFont
lblIcon(1).Font.Size = LabelFont.Size

End Sub

Private Sub UserControl_Terminate()
Set m_labelfont = Nothing
Set m_pages = Nothing
Set m_items = Nothing
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

With PropBag
    .WriteProperty "ForeColor", m_ForeColor, vbBlack
    .WriteProperty "Imagelist", m_imagelist, ""
    .WriteProperty "LabelOrientation", LabelOrientation, 0
    .WriteProperty "LabelfontBold", LabelFont.Bold, False
    .WriteProperty "LabelfontItalic", LabelFont.Italic, False
    .WriteProperty "LabelfontUnderline", LabelFont.Underline, False
    .WriteProperty "LabelfontStrikethrough", LabelFont.Strikethrough, False
    .WriteProperty "LabelfontSize", LabelFont.Size, 8
    .WriteProperty "LabelFontName", LabelFont.Name, "Arial"
End With
End Sub

Private Sub UserControl_Initialize()
selfolder = imgPage.Count - 1
redrawfolders
Set m_labelfont = New StdFont
Set m_pages = New Pages
Set m_items = New Items

m_Pcounter = 1
m_pages.Add "Text", "Text Items", "Page" & Str$(m_Pcounter)
twipsX = Screen.TwipsPerPixelX
sizing = False

Screen.MousePointer = vbDefault
End Sub

Private Sub redrawfolders()
Dim oldt&
Dim topbottom%, bottomtop%
topbottom% = -1
bottomtop% = -1
oldt& = ScaleHeight
Dim i&
folderbox.Top = 0
For i& = 1 To selfolder
    On Error Resume Next
    If imgPage(i).Visible Then
        imgPage(i).Move 0, oldt - (imgPage(i).Height), ScaleWidth
        If Not Err = 340 Then   'check for element doesn't exist error
            On Error GoTo 0
            oldt = imgPage(i).Top + 1
            lblPage(i).Move (ScaleWidth - lblPage(i).Width) / 2, imgPage(i).Top + 2
            bottomtop% = i
        End If
    End If
Next
oldt = 0
For i& = m_Pcounter To selfolder + 1 Step -1
    On Error Resume Next
    imgPage(i).Top = oldt
    If Not Err = 340 Then
        On Error GoTo 0
        oldt = oldt + imgPage(i).Height ' + 1
        imgPage(i).Width = ScaleWidth - 1
        lblPage(i).Move (ScaleWidth - lblPage(i).Width) / 2, imgPage(i).Top + 2
        topbottom% = i
    End If
Next
Dim t%, h%, w%, l%
With scrollbox
    .Visible = False
    l% = .Left
    If topbottom% > -1 Then t% = imgPage(topbottom%).Top + imgPage(topbottom%).Height Else t% = 0
    If bottomtop% > -1 Then h% = (imgPage(bottomtop%).Top) - t% Else .Height = ScaleHeight - t%
    w% = ScaleWidth
    .Move l%, t%, w%, h%
    folderbox.Move 0, 0, w%, h%
    .Visible = True
End With
   
End Sub



Private Sub UserControl_Resize()
redrawfolders
End Sub

Private Sub loaditems()
Dim gap%
Dim myitem As Item
Dim il As ImageList

On Error GoTo bd
Set il = Parent.Controls(m_imagelist)
On Error GoTo 0
Dim counter%, i%
On Error Resume Next
For i% = 1 To imgIcon.Count
    Unload imgIcon(i)
    Unload lblIcon(i)
Next
On Error GoTo 0
imgIcon(1).Visible = False
lblIcon(1).Visible = False
lblIcon(1).BackStyle = 0

counter% = 1
On Error GoTo 0
For Each myitem In m_items
    If myitem.page = selfolder Then
        If counter% > 1 Then
            Load imgIcon(counter%)
            Load lblIcon(counter%)
        End If
        With myitem
            lblIcon(counter).ForeColor = m_ForeColor
            imgIcon(counter%).Picture = il.ListImages(.Icon).Picture
            lblIcon(counter%).ToolTipText = .Tooltip
            imgIcon(counter%).ToolTipText = .Tooltip
            lblIcon(counter%).Caption = .Name
        End With
           If LabelOrientation = BelowIcon Then
            If (counter%) > 1 Then imgIcon(counter%).Top = imgIcon(counter% - 1).Top + 30 + (fHeight() * 2)
            lblIcon(counter%).Move ((Width / Screen.TwipsPerPixelX) - lblIcon(counter).Width) / 2, imgIcon(counter).Top + imgIcon(counter).Height + 1
            imgIcon(counter%).Left = ((Width / Screen.TwipsPerPixelX) - imgIcon(counter).Width) / 2
            
        Else
           If (counter%) > 1 Then
                imgIcon(counter%).Top = lblIcon(counter - 1).Top + lblIcon(counter - 1).Height + (fHeight() / 2)
            End If
            lblIcon(counter%).Move 30, imgIcon(counter%).Top + ((imgIcon(counter).Height - fHeight()) / 3)
            imgIcon(counter%).Left = 0
        End If
        On Error Resume Next
        If imgIcon(counter).Top + imgIcon(counter).Height > folderbox.Height Then
            gap% = (imgIcon(2).Top - imgIcon(1).Top)
            folderbox.Height = folderbox.Height + (2 * gap)
        End If
        
        imgIcon(counter%).ZOrder 0
        lblIcon(counter%).ZOrder 0
        imgIcon(counter%).Visible = True
        lblIcon(counter%).Visible = True
        counter% = counter% + 1
    End If
    
Next
If folderbox.Height > scrollbox.Height Then
    VScroll1.Visible = True
    folderbox.Width = folderbox.Width - 13
    VScroll1.Move ScaleWidth - VScroll1.Width, 0 - folderbox.Top, 13, scrollbox.Height
    VScroll1.Max = folderbox.Height - scrollbox.Height
End If

bd:
 Set il = Nothing
End Sub

Private Sub VScroll1_Change()
Static oldval%
Select Case VScroll1.Value
Case Is < oldval
    If folderbox.Top > 0 Then GoTo bd
Case Is > oldval
    If folderbox.Top + folderbox.Height < scrollbox.Height Then GoTo bd
Case Else
    GoTo bd
End Select
Dim newt%
newt = 1 - VScroll1.Value
If newt + folderbox.Height < scrollbox.Height Then
    newt = scrollbox.Height - folderbox.Height
End If
If newt > 0 Then newt = 0
folderbox.Top = newt
VScroll1.Move ScaleWidth - VScroll1.Width, 0
bd:
oldval = VScroll1.Value
End Sub
